Bug 44199 - Segmentation fault when chkconfig check a file doesn't have padding.
Segmentation fault when chkconfig check a file doesn't have padding.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: chkconfig (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-11 21:48 EDT by Keiichi Mori
Modified: 2014-03-16 22:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-11 22:35:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
I make a patch for this bug. Please test this. (1.86 KB, patch)
2001-06-11 22:34 EDT, Keiichi Mori
no flags Details | Diff

  None (edit)
Description Keiichi Mori 2001-06-11 21:48:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.3-6 i686; en-US; 0.7) Gecko/20010316

Description of problem:
core dump when chkconfig check a file doesn't have padding, example size of
that file is "4096" byte.

How reproducible:
Always

Steps to Reproduce:
1.create shell script file which size is "4096" byte in /etc/init.d directory.
2.execute "chckconfig --list" command
occur segmentation fault(core dumped)

	

Actual Results:  occur segmentation fault(core dumped)


Expected Results:  do not occur segmentation fault.

Additional info:

chkconfig source code expect the value of byte after file's last is zero.
see chkconfig-1.2.22/leveldb.c readServiceInfo() function.
Comment 1 Keiichi Mori 2001-06-11 22:34:59 EDT
Created attachment 20802 [details]
I make a patch for this bug. Please test this.
Comment 2 Bill Nottingham 2001-06-12 11:41:34 EDT
Looks good, will be in 1.2.23-1.
Thanks!

Note You need to log in before you can comment on or make changes to this bug.